Subject: [PATCH V14 8/9] vfio, platform: add support for ACPI while detecting the reset driver

From: [email-masked] (Sinan Kaya)
Date: Tue, 8 Mar 2016 10:44:48 -0500

Hi,

On 3/8/2016 12:07 AM, Sinan Kaya wrote:
> On 3/7/2016 11:46 PM, Eric Auger wrote:
>>> #define module_vfio_reset_handler(compat, acpihid, reset) \
>>>> MODULE_ALIAS("vfio-reset: dt: " compat); \
>>>> MODULE_ALIAS("vfio-reset: acpi: " acpihid); \
>> My gut feeling is we must not create a dummy alias when the mode
>> (dt/acpi) is not supported/tested. It fills the modinfo section with
>> spurious data, aliases are visible to modinfo, ...
>>
>> So I personally foresee 2 solutions,
>> 1) we create a single alias using acpihid if supported or compat if not.
>> Then even in dt mode we try to load this module through the acpihid
>> alias. Looks weird but should work.
>> 2) We simply move the module alias declaration out of this macro (to the
>> reset module itself), define 2 aliases in case both dt and acpi are
>> supported & tested.
>>
>> My personal preference is 2 I think.
>>
>> Best Regards
>>
>> Eric
>>
> 
> I agree with your assessment of #2. We are trying to be too smart. 
> I'll post a patch with #2 solution.
> 

I split patch 8 and 9 from the series and posted a new set here.

http://www.spinics.net/lists/arm-kernel/msg489578.html

-- 
Sinan Kaya
Qualcomm Technologies, Inc. on behalf of Qualcomm Innovation Center, Inc.
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum, a Linux Foundation Collaborative Project